<?php

$msgError = array();

if (!include 'config.php') {
    echo 'Vous devez créer le fichier config.php. Vous pouvez vous aidez du fichier config.sample.php<br/>';
    exit();
}

if (!empty($_POST)) {
    echo 'Erreur POST';
    exit();
}

if (!empty($_GET)) {
    $ci_ = $_GET;
    unset($_GET);
}

if ((empty($ci_['type']) || !isset($ci_['type'])) || !isset($permitType[$ci_['type']])) {
    $msgError[] = 'Vous devez spécifier le type de donnée. Exemple : type=dj<br/>';
    $ci_['doc'] = '1';
    $type = null;
} else {
    $type = $ci_['type'];
}

if (empty($ci_['id'])) {
    $msgError[] = 'Vous devez spécifier un identifiant (ID). Exemple : id=45657231<br/>';
    $ci_['doc'] = '1';
    $id = null;
} else {
    $pieces = explode(',', $ci_['id']);
    $id = filter_var($pieces[0], FILTER_SANITIZE_NUMBER_INT);
    if ($id === -1) {
        $msgError[] = 'Cette identifiant n\'est pas valide dans I-Milo<br/>';
        $ci_['doc'] = '1';
    }
}

if ($type === 'dj') {
    if (!empty($ci_['info']) && (isset($dj_Info[$ci_['info']]) || isset($dj_Suivi[$ci_['info']]))) {
        if (isset($dj_Suivi[$ci_['info']])) {
            $cat = 'suivi/';
            $info = $dj_Suivi[$ci_['info']];
        } else {
            if (!empty($ci_['edi']) && $ci_['edi'] == 1) {
                $cat = null;
            } else {
                $cat = 'consultation/';
            }

            $info = $dj_Info[$ci_['info']];
        }
    } else {
        $info = 'synthese';
    }

    $url = $baseUrl.'/'.$permitType[$type].'/'.$id.'/'.$cat.$info;
}

if ($type === 'p') {
    if (!empty($ci_['info']) && (isset($p_Info[$ci_['info']]) || isset($p_Suivi[$ci_['info']]))) {
        if (isset($p_Suivi[$ci_['info']])) {
            $cat = 'consulter/';
            $info = $p_Suivi[$ci_['info']];
        } else {
            if (!empty($ci_['edi']) && $ci_['edi'] == 1) {
                $cat = 'modifier/';
            } else {
                $cat = 'consulter/';
            }
            $info = $p_Info[$ci_['info']];
        }
    } else {
        $info = 'synthese';
    }

    $url = $baseUrl.'/'.$permitType[$type].'/entreprise/'.$id.'/'.$cat.$info;
}

if ($type === 'ods') {
    $url = $baseUrl.'/'.$permitType[$type].'/'.$id.'/synthese';
}

if (empty($ci_['type']) && empty($ci_['id'])) {
    $msgError = array();
}

if ($ci_['doc'] === '1') {
    echo $header;
    if (!empty($msgError)) {
        echo '
      <div class="msg">
        <ul>';
        foreach ($msgError as $value) {
            echo '
          <li>'.$value.'</li>';
        }
        echo '
        </ul>
      </div>';
    }
    echo '
    <div>
    <h2>Licence</h2>
    <p>
      <a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/"><img alt="Licence Creative Commons" style="border-width:0" src="88x31.png" /></a><br /><span xmlns:dct="http://purl.org/dc/terms/" href="http://purl.org/dc/dcmitype/InteractiveResource" property="dct:title" rel="dct:type">Gthim</span> de <a xmlns:cc="http://creativecommons.org/ns#" href="http://aijam.com" property="cc:attributionName" rel="cc:attributionURL">Aijam - Mission Locale du Montargois et du Giennois</a> est mis à disposition selon les termes de la <a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/">licence Creative Commons Attribution - Pas d’Utilisation Commerciale - Partage dans les Mêmes Conditions 4.0 International</a>.
    </p>
    <p>
      Gthim reste la propriété de <a xmlns:cc="http://creativecommons.org/ns#" href="http://aijam.com" property="cc:attributionName" rel="cc:attributionURL">Aijam - Mission Locale du Montargois et du Giennois</a>.
    </p>

    <h2>Documentation de Gthim</h2>';
    if (empty($id)) {
        echo '
    <p>
      Attention les liens ci dessous ne sont pas fonctionnel, vous devez entrer un ID valide pour que les liens fonctionnent.
    </p>';
    }
    echo '
    <p>
      Pour afficher les pages d\'édition vous devez rajouter le paramètre <code>&edi=1</code> à la fin de l\'url. Cela ne fonctionne que pour les informations de la partie dossier.
    </p>
    <p>
      Pour savoir comment utiliser Gthim dans OBIEE, <a href="https://wiki.aijam.com/obeii:mettre_en_place_des_liens_d_actions:start">utilisez cette documentation</a>
    </p>';
    if ($ci_['doc'] === '1' && ($type === 'dj' || !isset($permitType[$type]))) {
        echo '
    <h2>Liste des paramètres</h2>
      <ul>
        <li>type= (paramètre obligatoire)</li>
        <li>id= (paramètre obligatoire)</li>
        <li>info= (paramètre optionel)</li>
        <li>edi= (paramètre optionel)</li>
      </ul>

    <h3>Dossier jeune</h3>
    Pour accédez au dossier d\'un jeune utiliser le paramètre <code>type=dj</code><br/>
    Pour accéder au information :
      <ul>
        <li>Dispositif <code>info=dis</code></li>
        <li>Services <code>info=ser</code></li>
        <li>Demandes <code>info=dem</code></li>
        <li>Obligation de formation / décrochage scolaire <code>info=dof</code></li>
        <li>Evènements <code>info=eve</code></li>
        <li>Rendez-vous <code>info=ren</code></li>
        <li>Documents <code>info=doc</code></li>
        <li>Identité <code>info=ide</code></li>
        <li>Coordonnées <code>info=coo</code></li>
        <li>Compléments <code>info=com</code></li>
        <li>Mobilité <code>info=mob</code></li>
        <li>Cursus <code>info=cur</code></li>
        <li>Situations <code>info=sit</code></li>
        <li>Projets <code>info=pro</code></li>
        <li>Loisirs <code>info=loi</code></li>
      </ul>
    <h4>Suivi</h4>
    <ul>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/suivi/programmes">Dispositif</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=dis</code></li>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/suivi/services">Services</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=ser</code></li>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/suivi/demandes">Demandes</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=dem</code></li>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/suivi/decrocheur-of">Obligation de formation Décrochage scolaire </a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=dof</code></li>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/suivi/evenements">Evènements</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=eve</code></li>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/suivi/appointment">Rendez-vous</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=ren</code></li>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/suivi/documents">Documents</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=doc</code></li>
    </ul>';
        echo '
    <h4>Dossier</h4>
    <ul>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/consultation/identite">Identité</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=ide</code></li>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/consultation/coordonnees">Coordonnées</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=coo</code></li>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/consultation/complements">Compléments</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=com</code></li>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/consultation/mobilite">Mobilité</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=mob</code></li>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/consultation/cursus">Cursus</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=cur</code></li>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/consultation/situations">Situations</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=sit</code></li>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/consultation/projets">Projets</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=pro</code></li>
      <li><a href="'.$baseUrl.'/dossier/'.$id.'/consultation/loisirs">Loisirs / Connaissances</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=dj&id=&info=loi</code></li>
    </ul>';
    }
    if ($ci_['doc'] === '1' && ($type === 'p' || !isset($permitType[$type]))) {
        echo '
    <h3>Partenaire</h3>
    Pour accédez au dossier d\'un partenaire utiliser le paramètre <code>type=p</code><br/>
    Pour accéder au information :
      <ul>
        <li>Evènements <code>info=eve</code></li>
        <li>Engagements <code>eng=ser</code></li>
        <li>Offres <code>info=off</code></li>
        <li>Informations générales <code>info=inf</code></li>
        <li>Coordonnées <code>info=coo</code></li>
      </ul>
    <h4>Suivi</h4>
    <ul>
      <li><a href="'.$baseUrl.'/entreprise/'.$id.'/consulter/actualite">Evènements</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=p&id=&info=eve</code></li>
      <li><a href="'.$baseUrl.'/entreprise/'.$id.'/consulter/engagement">Engagements</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=p&id=&info=eng</code></li>
      <li><a href="'.$baseUrl.'/entreprise/'.$id.'/consulter/offre">Offres</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=p&id=&info=off</code></li>

    </ul>
    <h4>Dossier</h4>
    <ul>
      <li><a href="'.$baseUrl.'/entreprise/'.$id.'/consulter/information-general">Informations générales</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=p&id=&info=inf</code></li>
      <li><a href="'.$baseUrl.'/entreprise/'.$id.'/consulter/coordonnees">Coordonnées</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=p&id=&info=coo</code></li>
      </ul>';
    }
    if ($ci_['doc'] === '1' && ($type === 'ods' || !isset($permitType[$type]))) {
        echo '
    <h3>Offre de service</h3>
    Pour accédez a une offre de service utiliser le paramètre <code>type=ods</code>
    <h4>Suivi</h4>
      <ul>
        <li><a href="'.$baseUrl.'/service/'.$id.'/synthese">Synthèse</a> adresse complète pour OBIEE : <code>'.$thisUrl.'/?type=ods&id=</code></li>
      </ul>
    </div>
  </html>';
    }
} else {
    header('location:'.$url);
}
//debug
/*
<p>
<h3>Voici les paramètres que vous avez passé à Gthim</h3>
type = '.$type.' ('.$permitType[$type].')<br/>
ID = '.$id.'<br/>
info = '.strip_tags($ci_['info']).' ('.$info.')<br/>';
if ($ci_['edi'] === '1') {
    echo 'edi = 1 (oui)<br/>';
} else {
    echo 'edi = vide (non)<br/>';
}
echo 'lien généré = <a href="'.$url.'">'.$url.'</a>
</p>';
*/
